<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Управление новостями');

///Подключаем шапку
$title->GetHeader();
if ($b['level'] < 4) {
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Панель управления </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Управление новостями</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Управление новостями</div>';

$do = isset($_GET['do']) ? check($_GET['do']) : false;
switch($do) {
default:
echo '<ul class="nav nav-pills nav-stacked"><li><a href="?do=add"><i class="md-shuffle"></i> Добавить новость</a></ul>';
if (isset($_GET['del'])) {
DB::$dbs->query("DELETE FROM news WHERE id = ?", [abs((int)$_GET['del'])]);
header('location: ?');
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM news");
if ($look ==0) {
err('Новостей нет!');
}
else {
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM news ORDER BY time DESC LIMIT $start,$num");
while($a = $sql->fetch()) {
echo '<div class="row text_box"><i class="md-forum"></i> '.$a['name'].' ('.vr($a['time']).')<br/>'.text($a['txt']).'<br/>Автор: '.Nick($a['user']).'<br/> [<a href="?do=red&id='.$a['id'].'">изменить</a> | <a href="?del='.$a['id'].'">удалить</a>]</div>';
}
}
if ($k_page>1) {
str('?', $k_page,$page);
}
break;
case 'add':
if (isset($_POST['add'])) {
$form = ['name' => isset($_POST['name']) ? check($_POST['name']) : null, 'text' => isset($_POST['text']) ? check($_POST['text']) : null];
if (mb_strlen($form['name']) < 5) {
err('Название должно быть не меньше 5 символов!');
} elseif (empty($form['text'])) {
err('Введите содержание новости!');
} else {
DB::$dbs->query("INSERT INTO news SET name = ?, txt = ?, time = ?, user = ?", [$form['name'],$form['text'],time(),$b['id']]);
header('location: ?');
}
}
echo '<form action="#" method="post"><div class="row text_box">Название:<br/><input type="text" class="form-control" name="name"/><br/>Содержание:<br/><textarea class="form-control" rows="3" name="text"></textarea><br/><input type="submit" name="add" class="btn btn-primary" value="Отправить"/></div></form>';
break;
case 'red':
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM news WHERE id = ? LIMIT 1", [$id]);
if ($array->rowCount() == 0) {
header('location: ?');
die();
}
$arr = $array -> fetch();
if (isset($_POST['add'])) {
$form = ['name' => isset($_POST['name']) ? check($_POST['name']) : null, 'text' => isset($_POST['text']) ? check($_POST['text']) : null];
if (mb_strlen($form['name']) < 5) {
err('Название должно быть не меньше 5 символов!');
} elseif (empty($form['text'])) {
err('Введите содержание новости!');
} else {
DB::$dbs->query("UPDATE news SET name = ?, txt = ? WHERE id = ?", [$form['name'],$form['text'],$id]);
header('location: ?');
}
}
echo '<form action="?do=red&id='.$id.'" method="post"><div class="row text_box"> Название:<br/><input type="text" name="name" class="form-control" value="'.$arr['name'].'"/><br/>Содержание:<br/><textarea class="form-control" rows="3" name="text">'.$arr['txt'].'</textarea><br/><input type="submit" name="add" class="btn btn-primary" value="Отправить"/></div></form>';
break;
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>